Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Modules/BehaviorControl/MotionRatingBehaviorControl/MotionRatingBehaviorMessage.h File Reference

Definition of class MotionRatingBehaviorMessage. More...

`#include "Tools/Streams/InOut.h"`
`#include "Tools/Math/Vector2.h"`
`#include <string.h>`

Include dependency graph for MotionRatingBehaviorMessage.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | MotionRatingBehaviorMessage
## Functions
In & | operator>> (In &stream, MotionRatingBehaviorMessage &message)
Out & | operator<< (Out &stream, const MotionRatingBehaviorMessage &message)

## Detailed Description

Definition of class MotionRatingBehaviorMessage.

Author:
  Sebastian Petters

  Dirk Thomas

Definition in file MotionRatingBehaviorMessage.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | MotionRatingBehaviorMessage & | message
| ) |

| Definition at line 17 of file MotionRatingBehaviorMessage.cpp. References MotionRatingBehaviorMessage::averageSpeed, MotionRatingBehaviorMessage::currentSpeed, MotionRatingBehaviorMessage::currentWalk, MotionRatingBehaviorMessage::data, MotionRatingBehaviorMessage::distance, MotionRatingBehaviorMessage::end, MotionRatingBehaviorMessage::finished, MotionRatingBehaviorMessage::paramSetId, MotionRatingBehaviorMessage::remainingPower, MotionRatingBehaviorMessage::start, MotionRatingBehaviorMessage::state, MotionRatingBehaviorMessage::time, MotionRatingBehaviorMessage::type, and MotionRatingBehaviorMessage::walkCount.

Out& operator<< | ( | Out & | stream,
|  | const MotionRatingBehaviorMessage & | message
| ) |

| Definition at line 41 of file MotionRatingBehaviorMessage.cpp. References MotionRatingBehaviorMessage::averageSpeed, MotionRatingBehaviorMessage::currentSpeed, MotionRatingBehaviorMessage::currentWalk, MotionRatingBehaviorMessage::data, MotionRatingBehaviorMessage::distance, MotionRatingBehaviorMessage::end, MotionRatingBehaviorMessage::finished, MotionRatingBehaviorMessage::paramSetId, MotionRatingBehaviorMessage::remainingPower, MotionRatingBehaviorMessage::start, MotionRatingBehaviorMessage::state, MotionRatingBehaviorMessage::time, MotionRatingBehaviorMessage::type, and MotionRatingBehaviorMessage::walkCount.